%global srcname psutil

Name:           python-%{srcname}
Version:        2.0.0
Release:        %mkrel 5
Summary:        Module providing an interface for retrieving information on all running processes
Group:          Development/Python
License:        MIT
URL:            http://code.google.com/p/psutil/
Source0:        https://pypi.python.org/packages/source/p/psutil/%{srcname}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:	python3-devel
BuildRequires:  python3-setuptools

%description
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%files
%{python_sitearch}/%{srcname}/
%{python_sitearch}/*.egg-info/
%{python_sitearch}/*.so

%package -n python3-%{srcname}
Summary:	%{summary}
Group:		Development/Python

%description -n python3-%{srcname}
psutil is a module providing an interface for retrieving information
on all running processes and system utilization (CPU, memory, disks,
network, users) in a portable way by using Python, implementing many
functionalities offered by command line tools.

%files -n python3-%{srcname}
%{python3_sitearch}/%{srcname}/
%{python3_sitearch}/*.egg-info/
%{python3_sitearch}/*.so

#--------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

cp -a . %{py3dir}

%build
%{__python} setup.py build

pushd %{py3dir}
	%{__python3} setup.py build
popd

%install
%{__python} setup.py install --skip-build --root %{buildroot}

pushd %{py3dir}
	%{__python3} setup.py install --skip-build --root=%{buildroot}
popd



%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0.0-5.mga5
+ Revision: 741604
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.0.0-4.mga5
+ Revision: 729331
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.0-3.mga5
+ Revision: 688226
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.0.0-2.mga5
+ Revision: 628908
- Rebuild for new Python

* Mon Mar 31 2014 kharec <kharec> 2.0.0-1.mga5
+ Revision: 610901
- new version 2.0.0

* Fri Feb 14 2014 wally <wally> 1.2.1-1.mga5
+ Revision: 591203
- new version 1.2.1
- enable python3 build
- fix URL tag

* Tue Oct 22 2013 umeabot <umeabot> 0.6.1-5.mga4
+ Revision: 544058
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.1-4.mga4
+ Revision: 499128
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Aug 21 2013 neoclust <neoclust> 0.6.1-3.mga4
+ Revision: 468961
- Remove wrong require on python-setuptools

* Sun Jan 13 2013 umeabot <umeabot> 0.6.1-2.mga3
+ Revision: 379286
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 neoclust <neoclust> 0.6.1-1.mga3
+ Revision: 312304
- imported package python-psutil

